WinDom: wind_set.c File Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# wind_set.c File Reference

`#include <stdarg.h>`
`#include <stddef.h>`
`#include <stdlib.h>`
`#include "globals.h"`

## Functions
int | wind_menu_set (APPvar *app, WINDOW *win, int mode, void *v1, func_evnt handler)
| Set the WINDOW menu appropriately.
int __CDECL | wind_aes_set (APPvar *app, WINDOW *win, int mode, int par1, int par2, int par3, int par4)
| set/change window attributes.
int | mt_WindSet (APPvar *app, WINDOW *win, int mode, int par1, int par2, int par3, int par4)
| set/change window attributes.
int | mt_WindSetStr (APPvar *app, WINDOW *win, int mode, char *str)
| set/change window string attributes
int | mt_WindSetPtr (APPvar *app, WINDOW *win, int mode, void *par1, void *par2)
| set/change window pointer attributes

## Function Documentation

int __CDECL wind_aes_set | ( | APPvar * | app,
|  | WINDOW * | win,
|  | int | mode,
|  | int | par1,
|  | int | par2,
|  | int | par3,
|  | int | par4
| ) |

  | set/change window attributes. Parameters:
  | app | application descriptor,
  | win | window descriptor (or NULL in some case),
  | mode | attribute to change,
  | par1 |
  | par2 |
  | par3 |
  | par4 | meanning of these 4 parameters depend on mode value as explained elswhere.
Returns: O or a negative error code. This is WinDom internal function not to be used by applications. They should use mt_WindSet() instead. See also: mt_WindSet(), t_WindGet().

int wind_menu_set | ( | APPvar * | app,
|  | WINDOW * | win,
|  | int | mode,
|  | void * | v1,
|  | func_evnt | handler
| ) |

  | Set the WINDOW menu appropriately. Parameters:
  | app | application descriptor,
  | win | window descriptor
  | mode | WindSet() mode,
  | v1 | pointer to a data (parameters p1 and p2 of WindSet()),
  | handler | pointer to a callback function (parameters p3 and p4 of WindSet())
Returns: 0 on success otherwise negative error code FIXME: MOVE to other file? perhaps comp_menu.c is the right place later on?